> ## Documentation Index
> Fetch the complete documentation index at: https://primer.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Search payments

## Search for a specific payment

You can search for a specific payment and get all the details via:

> [card] [Primer Dashboard](#search-for-a-specific-payment-via-the-primer-dashboard)
>
> Easy-to-use UI to browse and review the details of all your payments.

> [card] [Payments API](#search-for-a-specific-payment-via-payments-api)
>
> Retrieve details of your payments programmatically via API.

### Search for a specific payment via the Primer Dashboard

Navigate to the [Payments](https://dashboard.primer.io/payments) section of the Primer Dashboard. To find your specific payment, either:

* scroll through until you find your payment
* enter the Primer payment ID into the search bar
* add your Primer payment ID to the following URL: `https://dashboard.primer.io/payments/<YOUR_PAYMENT_ID>`

All methods will direct you to the payment details page, where you will see a summary of the key details of the payment, along with a detailed timeline of all events during your payment’s lifecycle.

![Detailed payments
timeline](https://goat-assets.production.core.primer.io/marketing/payment-operations/external-docs/search/detailed-payment-timeline.png)

Detailed payments timeline

View all the requests and responses for each event in the timeline by simply selecting it, along with a summary of the key details of the event.

![Timeline event summary
example](https://goat-assets.production.core.primer.io/marketing/payment-operations/external-docs/search/timeline-event-summary.png)

Timeline event summary example

### Search for a specific payment via Payments API

Use the GET request to retrieve the full payment object. See the [API reference](https://primer.io/docs/api-reference/v2.4/api-reference/payments-api/get-a-payment.md) for more details.

Include the Primer payment ID in the request which you will have received as part of the payment creation and authorization.

Below is an example response:

```json JSON theme={"dark"}
{
  "id": "kHdEw9EG",
  "date": "2021-02-21T15:36:16.367687",
  "status": "AUTHORIZED",
  "orderId": "order-abc",
  "customerId": "customer-123",
  "currencyCode": "EUR",
  "amount": 42,
  "paymentMethod": {
    "paymentMethodToken": "heNwnqaeRiqvY1UcslfQc3wxNjEzOTIxNjc4",
    "isVaulted": true,
    "descriptor": "Purchase: Socks",
    "analyticsId": "VtkMDAxZW5isH0HsbbNxZ3lo",
    "paymentMethodType": "PAYMENT_CARD",
    "paymentMethodData": {
      "first6Digits": "411111",
      "firstDigits": "41111111",
      "last4Digits": "1111",
      "expirationMonth": "12",
      "expirationYear": "2030",
      "cardholderName": "John Biggins",
      "network": "Visa",
      "isNetworkTokenized": false,
      "binData": {
        "network": "VISA",
        "regionalRestriction": "UNKNOWN",
        "accountNumberType": "UNKNOWN",
        "accountFundingType": "UNKNOWN",
        "prepaidReloadableIndicator": "NOT_APPLICABLE",
        "productUsageType": "UNKNOWN",
        "productCode": "VISA",
        "productName": "VISA"
      }
    }
  },
  "processor": {
    "name": "STRIPE",
    "processor_merchant_id": "acct_stripe_1234",
    "amountCaptured": 0,
    "amountRefunded": 0
  },
  "transactions": [
    {
      "type": "SALE",
      "processorStatus": "AUTHORIZED",
      "processorName": "STRIPE",
      "processorMerchantId": "acct_stripe_1234",
      "processorTransactionId": "54c4eb5b3ef8a",
      "authorizationCode": "831000"
    }
  ],
  "customer": {
    "email": "customer123@gmail.com"
  },
  "metadata": {
    "productId": 123,
    "merchantId": "a13bsd62s"
  }
}
```

## Search for a set of payments

Retrieve all payments or a subset of payments based on a set of conditions, including a date range, status, and other searchable fields.

Search for a set of payments via:

> [card] [Primer Dashboard](#search-for-a-set-of-payments-via-the-primer-dashboard)
>
> Easy-to-use UI to browse and review the details of all your payments.

> [card] [Payments API](#search-for-a-set-of-payments-via-the-payments-api)
>
> Retrieve details of your payments programmatically via API.

### Search for a set of payments via the Primer Dashboard

Navigate to the [Payments](https://dashboard.primer.io/payments) section of the Primer Dashboard. You can search in two ways:

* Use the search bar and enter multiple terms separated with commas
* Use the [Filters](https://primer.io/docs/concepts/filters-and-dimensions.md)

The filters are comprehensive and allow you to retrieve the subset of payments you are looking for based on:

* date range
* currency and amount
* status
* processor
* payment method
* events
* decline types and reasons

![Filters example](https://goat-assets.production.core.primer.io/marketing/payment-operations/external-docs/search/payment-filters.png)

Filters example

### Search for a set of payments via the Payments API

Use the [`GET list payments`](https://primer.io/docs/api-reference/v2.4/api-reference/payments-api/get-a-payment) request to retrieve a list of payments.

Filter your payments on as many conditions as you’d like and separate multiple query parameters with the `&` symbol.

Results are paginated and will return up to 100 payments in a single call. To access the next page of results, set the `cursor` parameter to the value of `nextCursor` from the last result payload.

This endpoint returns a list of summarized payment objects i.e. not the full payment object outputted in the `GET` call when retrieving a specific payment.

Here is an example response:

```json JSON theme={"dark"}
{
  "data": [
    {
      "id": "IHQlakKC",
      "date": "2021-03-24T14:56:56.869248",
      "status": "SETTLED",
      "orderId": "my-order-123",
      "currencyCode": "EUR",
      "amount": 700,
      "processor": {
        "name": "STRIPE",
        "processorMerchantId": "acct_stripe_1234"
      },
      "metadata": {
        "productId": 123,
        "merchantId": "a13bsd62s"
      }
    }
  ],
  "nextCursor": "string",
  "prevCursor": "string"
}
```

See the [API reference](https://primer.io/docs/api-reference/v2.4/api-reference/payments-api/get-a-payment.md) for the full list of query parameters.

> [!NOTE]
>
> Payments will be available up to a minute from being created.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.